<template>
  <button type="button" @click="onReloadClicked">
    <IReload
      class="w-4 h-4"
      :class="{ 'animate-spin': isLoading || loading }"
    />
  </button>
</template>

<script setup lang="ts">
import useBalanceInfo from "../../composables/useBalanceInfo";
import IReload from "~/assets/icons/reload.svg?component";

const { getMultiWallets, isLoading } = useBalanceInfo(false);

const props = defineProps<{
  onClick?: () => void;
  loading?: boolean;
}>();

const onReloadClicked = () => {
  if (props.onClick instanceof Function) {
    props.onClick();
    return;
  }
  getMultiWallets();
};
</script>

<style scoped></style>
